summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorVít Ondruch <vondruch@redhat.com>2011-06-03 13:28:11 +0200
committerVít Ondruch <vondruch@redhat.com>2011-06-03 13:28:11 +0200
commit6415f27dc2928e0ed75ba1f5f339d19d3dbcff1a (patch)
treefb07cebe276d72e7e07f24d59ed4affa2c0a4368
parentc4b905298bfbbe4ae473bf2b798b2e5dfe11bf3b (diff)
downloadrubygem-actionpack-6415f27dc2928e0ed75ba1f5f339d19d3dbcff1a.zip
rubygem-actionpack-6415f27dc2928e0ed75ba1f5f339d19d3dbcff1a.tar.gz
rubygem-actionpack-6415f27dc2928e0ed75ba1f5f339d19d3dbcff1a.tar.xz
Removed regin and multimap dependencies. They were added into rack-mount where they actually belongs.
-rw-r--r--actionpack-add-rack-mount-deps.patch29
-rw-r--r--rubygem-actionpack.spec9
2 files changed, 5 insertions, 33 deletions
diff --git a/actionpack-add-rack-mount-deps.patch b/actionpack-add-rack-mount-deps.patch
deleted file mode 100644
index a35c178..0000000
--- a/actionpack-add-rack-mount-deps.patch
+++ /dev/null
@@ -1,29 +0,0 @@
---- specifications/actionpack-3.0.5.gemspec.orig 2011-02-01 17:55:54.677899001 -0500
-+++ specifications/actionpack-3.0.5.gemspec 2011-02-01 17:56:04.943899003 -0500
-@@ -28,6 +28,8 @@
- s.add_runtime_dependency(%q<rack>, [">= 1.1.0"])
- s.add_runtime_dependency(%q<rack-test>, [">= 0.5.4"])
- s.add_runtime_dependency(%q<rack-mount>, [">= 0.6.13"])
-+ s.add_runtime_dependency(%q<multimap>, [">= 1.1.2"])
-+ s.add_runtime_dependency(%q<regin>, [">= 0.3.7"])
- s.add_runtime_dependency(%q<tzinfo>, ["~> 0.3.23"])
- s.add_runtime_dependency(%q<erubis>, ["~> 2.6.6"])
- else
-@@ -38,6 +40,8 @@
- s.add_dependency(%q<rack>, [">= 1.1.0"])
- s.add_dependency(%q<rack-test>, [">= 0.5.4"])
- s.add_dependency(%q<rack-mount>, [">= 0.6.13"])
-+ s.add_dependency(%q<multimap>, [">= 1.1.2"])
-+ s.add_dependency(%q<regin>, [">= 0.3.7"])
- s.add_dependency(%q<tzinfo>, ["~> 0.3.23"])
- s.add_dependency(%q<erubis>, ["~> 2.6.6"])
- end
-@@ -49,6 +53,8 @@
- s.add_dependency(%q<rack>, [">= 1.1.0"])
- s.add_dependency(%q<rack-test>, [">= 0.5.4"])
- s.add_dependency(%q<rack-mount>, [">= 0.6.13"])
-+ s.add_dependency(%q<multimap>, [">= 1.1.2"])
-+ s.add_dependency(%q<regin>, [">= 0.3.7"])
- s.add_dependency(%q<tzinfo>, ["~> 0.3.23"])
- s.add_dependency(%q<erubis>, ["~> 2.6.6"])
- end
diff --git a/rubygem-actionpack.spec b/rubygem-actionpack.spec
index 00766a1..393c402 100644
--- a/rubygem-actionpack.spec
+++ b/rubygem-actionpack.spec
@@ -9,7 +9,7 @@ Summary: Web-flow and rendering framework putting the VC in MVC
Name: rubygem-%{gemname}
Epoch: 1
Version: 3.0.5
-Release: 1%{?dist}
+Release: 2%{?dist}
Group: Development/Languages
License: MIT
URL: http://www.rubyonrails.org
@@ -38,8 +38,6 @@ Patch2: actionpack-tests-fix.patch
Patch3: actionpack-downgrade-dependencies.patch
-Patch4: actionpack-add-rack-mount-deps.patch
-
Requires: rubygems
Requires: rubygem(activesupport) = %{version}
Requires: rubygem(activemodel) = %{version}
@@ -107,7 +105,6 @@ popd
pushd .%{gemdir}
%patch3 -p0
-%patch4 -p0
# Remove backup files
# No! these are needed for rake test
@@ -168,6 +165,10 @@ rake test --trace
%changelog
+* Fri Jun 03 2011 Vít Ondruch <vondruch@redhat.com> - 1:3.0.5-2
+- Removed regin and multimap dependencies. They were added into rack-mount
+ where they actually belongs.
+
* Fri Mar 25 2011 Vít Ondruch <vondruch@redhat.com> - 1:3.0.5-1
- Updated to ActionPack 3.0.5